<section class="main">
  <app-menu></app-menu>
  <section class="content">
    <form [formGroup]="userForm">
      <div class="inputs l50">
        <label for="lastname">Nom de famille : </label>
        <input formControlName="lastname" [ngModel]="user.lastname" id="lastname" type="text">
      </div>
      <div class="inputs l50">
        <label for="surname">Prénom : </label>
        <input formControlName="surname" [ngModel]="user.surname" id="surname" type="text">
      </div>
      <div class="inputs l100">
        <label for="username">Email : </label>
        <input formControlName="username" [ngModel]="user.username" id="username" type="email">
      </div>
      <div class="inputs l100">
        <label for="addresse">Adresse : </label>
        <input formControlName="address" [ngModel]="user.address" id="addresse" type="text">
      </div>
      <div class="inputs l50">
        <label for="city">Ville : </label>
        <input formControlName="city" [ngModel]="user.city.city" id="city" type="text">
      </div>
      <div class="inputs l50">
        <label for="zipcode">Code postal : </label>
        <input formControlName="zipcode" [ngModel]="user.city.zipCode" min="0" max="99999" id="zipcode" type="number">
      </div>
      <div class="inputs l50">
        <label for="password">Password : </label>
        <input formControlName="password" id="password" type="password">
      </div>
      <div class="inputs l50">
        <label for="password">Rôles : </label>
        <select formControlName="roleId">
          <option [selected]="role.roleId === user.role.roleId" *ngFor="let role of roles">{{role.role}}</option>
        </select>
      </div>
      <div class="inputs l50">
        <button (click)="onSubmit()" class="btn btn-primary">Valider</button>
      </div>
      <div class="inputs l50">
        <button (click)="onDelete()" class="btn btn-danger">Rendre indisponible</button>
      </div>
    </form>
  </section>
</section>
